Skip to main content

Edit a Prospect

Updates an existing prospect's profile for the community, including household members, preferences, and optional lead metadata. Household members and household member PII, including first name, last name, email, and phone may not be updated for prospects with applicant, resident, or former resident status. Behavior for origin source, SMS opt-in, and assignee follows API key permissions and validation rules. Returns the prospect identifier.

PUT
/api/partners/v1/community/:community_id/prospects/:prospect_id

Request

Example requestPUTapplication/json
$ curl -X PUT \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{ "people": [ { "id": 0, "first_name": "string", "last_name": "string", "is_primary": false, "phone_1": "string", "phone_2": "string", "email": "string" } ], "move_in_date": "2022-06-25", "price_floor": "string", "price_ceiling": "string", "discovery_source": "123", "lead_source": "123", "medium": "string", "agents": [], "parking": 0, "doorman": 0, "group": "string", "sms_opted_in": false, "elevator": false, "pets": [], "laundry": [], "outdoor_space": [], "layout": [ "loft" ], "notes": "string", "neighborhoods": [], "third_party_vla_handling": false, "broker_company": "string", "broker_first_name": "string", "broker_last_name": "string", "broker_phone": "string", "current_postal_code": "string", "client_referral": "string", "marketing_email_opt_in": false, "source_type": "string", "broker_email": "string", "device": "string", "campaign_id": "string", "campaign_info": "string", "website_session_id": "string", "website_app_id": "string", "website_user_id": "string" }' \
    "https://api.funnelleasing.com/api/partners/v1/community/1234/prospects/:prospect_id"

Response

Example responseJSON200 · application/json
{
"id": 123,
"message": "Prospect updated successfully",
"unapplied_updates": [
{
"person_ref": {
"id": 123456,
"name": "Jane Doe",
"match": "email_or_phone"
},
"field": "is_primary",
"attempted_value": "True",
"reason_code": "FIELD_NOT_UPDATABLE",
"reason": "is_primary is not updatable via this endpoint."
}
]
}